Loading...
Searching...
No Matches
Errors.h File Reference

vector of errors More...

Go to the source code of this file.

## Classes

struct | gtsam::traits< Errors >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Errors = FastList<Vector>
| Errors is a vector of errors.

## Functions

Errors | gtsam::createErrors (const VectorValues &V)
| Break V into pieces according to its start indices.
void | gtsam::print (const Errors &e, const std::string &s="Errors")
| Print an Errors instance.
bool | gtsam::equality (const Errors &actual, const Errors &expected, double tol)
Errors | gtsam::operator+ (const Errors &a, const Errors &b)
| Addition.
Errors | gtsam::operator- (const Errors &a, const Errors &b)
| Subtraction.
Errors | gtsam::operator- (const Errors &a)
| Negation.
double | gtsam::dot (const Errors &a, const Errors &b)
| Dot product.
void | gtsam::axpy (double alpha, const Errors &x, Errors &y)
| BLAS level 2 style AXPY, y := alpha*x + y.

## Detailed Description

vector of errors

Author
  Frank Dellaert